
Figure - Bug #113488
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现ANR：com.android.settings
2022-11-01 15:44 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-12-30

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下��Reason: Input dispatching timed out (Application does not have a focused window)����剩余的ANR问题，根本原因应该是一样的。我们将统一在113944票里跟踪分析

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

10-28 07:57:32.713  6173 10310 W Monkey  : // NOT RESPONDING: com.android.settings (pid 17539)

10-28 07:57:32.714  6173 10310 W Monkey  : ANR in com.android.settings (com.android.settings/.homepage.SettingsHomepageActivity)

10-28 07:57:32.714  6173 10310 W Monkey  : PID: 17539

10-28 07:57:32.714  6173 10310 W Monkey  : Reason: Input dispatching timed out (Application does not have a focused window)

10-28 07:57:32.714  6173 10310 W Monkey  : Parent: com.android.settings/.homepage.SettingsHomepageActivity

10-28 07:57:32.714  6173 10310 W Monkey  : ErrorId: 28783564-8463-4d5f-9779-185a21788336

10-28 07:57:32.714  6173 10310 W Monkey  : Frozen: false

10-28 07:57:32.714  6173 10310 W Monkey  : Load: 7.87 / 6.72 / 6.86

10-28 07:57:32.714  6173 10310 W Monkey  : ----- Output from /proc/pressure/memory -----

10-28 07:57:32.714  6173 10310 W Monkey  : some avg10=0.00 avg60=0.00 avg300=0.00 total=0

10-28 07:57:32.714  6173 10310 W Monkey  : full avg10=0.00 avg60=0.00 avg300=0.00 total=0

10-28 07:57:32.714  6173 10310 W Monkey  : ----- End output from /proc/pressure/memory -----

10-28 07:57:32.714  6173 10310 W Monkey  : 

10-28 07:57:32.714  6173 10310 W Monkey  : CPU usage from 0ms to 14049ms later (2022-10-28 07:57:18.523 to 2022-10-28 07:57:32.572):

10-28 07:57:32.714  6173 10310 W Monkey  :   99% 1255/ept_uppertester_v2.0_fse: 87% user + 12% kernel

10-28 07:57:32.714  6173 10310 W Monkey  :   28% 1135/system_server: 5.9% user + 22% kernel / faults: 6439 minor

10-28 07:57:32.714  6173 10310 W Monkey  :   18% 1240/tlog: 0.4% user + 17% kernel

10-28 07:57:32.714  6173 10310 W Monkey  :   0.3% 1455/media.swcodec: 0% user + 0.3% kernel / faults: 8786 minor

10-28 07:57:32.714  6173 10310 W Monkey  :   0.1% 1320/media.codec: 0% user + 0% kernel / faults: 7266 minor

10-28 07:57:32.714  6173 10310 W Monkey  :   4.1% 28175/com.android.deskclock: 3.1% user + 0.9% kernel / faults: 2995 minor

10-28 07:57:32.714  6173 10310 W Monkey  :   3.5% 6091/adbd: 0.4% user + 3.1% kernel / faults: 771 minor

10-28 07:57:32.714  6173 10310 W Monkey  :   3.1% 7154/kworker/u16:27-kgsl_devfreq_wq: 0% user + 3.1% kernel

10-28 07:57:32.714  6173 10310 W Monkey  :   0.1% 993/media.hwcodec: 0% user + 0.1% kernel / faults: 3524 minor

10-28 07:57:32.714  6173 10310 W Monkey  :   2.9% 4106/com.microsoft.emmx: 0.2% user + 2.7% kernel

...
History

#1 - 2022-11-01 16:09 - CD Test赵飞

日志见Bug #113456 附件

#2 - 2022-11-02 10:17 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD AF-陈羽杰

#3 - 2022-11-03 11:00 - CD AF-陈羽杰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD AF-陈羽杰 to CD Test赵飞

- % Done changed from 0 to 100

- Root cause set to 缺少日志文件

Monkey测试中出现的问题，请帮忙上传TLog，同时ANR问题需要将data目录下的anr文件夹一起抓出来，谢谢。

#4 - 2022-11-03 13:42 - CD Test赵飞

- % Done changed from 100 to 0

#5 - 2022-11-04 10:53 - CD Test赵飞

- File anr.zip added

- File tlog.zip.001 added

- File tlog.zip.002 added

- File tlog.zip.003 added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD Test赵飞 to CD AF-陈羽杰

Tlog和ANR见附件

Tlog使用的是分卷压缩，全部下载后再解压

#6 - 2022-11-09 19:00 - CD Test赵飞

Log已传至FTP

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug _113696/Tlog&ANR.zip

#7 - 2022-11-11 09:49 - CD FW 曹覃刚

- Assignee changed from CD AF-陈羽杰 to CD FW-廖涛

#8 - 2022-11-14 19:44 - CD FW-廖涛

- % Done changed from 0 to 30

- Resolution changed from -- to FIX_LATER

在应用间快速切换时，或应用初始化时间长，导致事件分发获取不到 Window 焦点，出现 ANR 。可能产生的原因如下：

1. CPU 负荷过大，导致应用切换或初始化慢；
2. 资源争夺导致死锁；

分析后，暂未找到确切原因，可以先观察，后续接着排查。

#9 - 2022-11-15 10:41 - CD FW 曹覃刚

将在user版本上跑三个版本观察，如果不再复现，我们将关闭这个问题

#10 - 2022-11-16 11:09 - CD Test赵飞

此问题在11月15号Release版本（uer）上三台设备共复现14次

请继续分析（user版本暂不能提供ANR目录，待相关Bug修复后再提供新的日志）

#11 - 2022-11-16 19:42 - CDTS-TEST 周婷

- Due date deleted (2022-11-08)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#12 - 2022-11-24 22:42 - CD FW-廖涛

- Due date set to 2022-12-23

#13 - 2022-12-14 18:35 - CD FW-廖涛

- Due date changed from 2022-12-23 to 2022-12-30

#14 - 2022-12-26 10:54 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW 曹覃刚

#15 - 2022-12-27 16:35 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

- % Done changed from 30 to 100

- Resolution changed from FIX_LATER to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause changed from 缺少日志文件 to 目前剩余ANR问题，原因一致，如下

Reason: Input dispatching timed out (Application does not have a focused window)

剩余的ANR问题，根本原因应该是一样的。我们将统一在113944票里跟踪分析

#16 - 2022-12-28 14:22 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113944票一样，使用113944跟踪此类问题，关闭此票

#17 - 2022-12-28 14:24 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

anr.zip 23.8 KB 2022-11-04 CD Test赵飞
tlog.zip.001 30 MB 2022-11-04 CD Test赵飞

tlog.zip.002 30 MB 2022-11-04 CD Test赵飞

tlog.zip.003 15.2 MB 2022-11-04 CD Test赵飞
